'Bambino-06
SERTXD("B06",CR)    'report program number

#PicAxe 20M2
#no_data

'Bambino-01  Test eyeLEDs, whiskerLEDs and speaker
'Bambino-02  Test PWM of eyeLEDs
'Bambino-03  Test InfraRed input
'Bambino-04  Test Eye light values
'Bambino-05  Test Whisker light values
'Bambino-06  PLAY the inbuilt tunes using keys 1 to 4 and beep on 5

'-----------------------------------------------------------------
Rationale:
'Time for a little fun!
'PLAY the inbuilt tunes using keys 1 to 4 and beep on 5
'------------------------------------------------------
'[key1] tune 0 - Happy Birthday
'[key2] tune 1 - Jingle Bells
'[key3] tune 2 - Silent Night
'[key4] tune 3 - Rudolph the Red Nosed Reindeer
'[key5] beep
'=================================================================

SYMBOL VoiceLedpin_      =c.5
SYMBOL eyeLedLpin_       =c.2    'low =>LED on
SYMBOL eyeLedRpin_       =b.1    'low =>LED on
SYMBOL GwhiskerLedLpin_  =c.3    'low =>Ground whisker LED on
SYMBOL GwhiskerLedRpin_  =b.3    'low =>Ground whisker LED on
SYMBOL IRinpin           =c.6
SYMBOL IRoutpin          =b.2
SYMBOL eyeRpin           =c.7
SYMBOL eyeLpin           =c.1

'=================================================================
'TVR010 PicAxe IR-controller
'---------------------------
'Before use, the transmitter must be programmed with the Sony transmit code.
'1. Insert 2 AAA size batteries, preferably alkaline.
'2. Press S and B at the same time. S is in the centre of the arrows.
'  The top left red LED should light.
'3. Press 0. The LED should flash.
'4. Press 1. The LED should flash.
'5. Press 3. The LED should go out.
'6. Press the red power button (top right).
'-------------------------------------------
'IRin cmnds PicAxe controller
'DO NOT PRESS OTHER KEYS
'ie [A] [B] [C] [D] [E] [F] [G]
'They change the Mode and [B] has to be pressed to change back.
'[square] [triangle] [()] [L] [X] [backwards F]  have no effect

Symbol KEY_POWER  = 21    'Rest (Sleep is a reserved word)

Symbol KEY_UP     = 16    'Step Forward
Symbol KEY_DOWN   = 17    'Step Backward
Symbol KEY_RIGHT  = 18    'Turn Right
Symbol KEY_LEFT   = 19    'Turn Left

Symbol KEY_BAR    = 96
Symbol KEY_TENT   = 54
Symbol KEY_VERT_CROSS = 37
Symbol KEY_VCROSS = 37    'synonym for easier coding
Symbol KEY_DIAG_CROSS = 20
Symbol KEY_XCROSS = 20    'synonym for easier coding
symbol IRkey1     =  0    'RockADo
symbol IRkey2     =  1
symbol IRkey3     =  2
symbol IRkey4     =  3
symbol IRkey5     =  4
symbol IRkey6     =  5
symbol IRkey7     =  6
symbol IRkey8     =  7
symbol IRkey9     =  8
Symbol KEY_MINUS  = 98
Symbol KEY_0      =  9
Symbol KEY_PLUS   = 11
'=================================================================

initialise:
  LOW eyeLedRpin_      'make output
  HIGH eyeLedLpin_     'make output

start:
  TOGGLE eyeLedRpin_               'flash eyeR while waiting
  TOGGLE eyeLedLpin_               'flash eyeR while waiting
  IRIN [100,start],IRinpin,B1     'irin with timeout
  ON B1 GOTO play0,play1,play2,play3,beep
                                'if b1>4 then ignore command
  GOTO start                    'loop back to start



play0:
  PLAY VoiceLedpin_,0
  GOTO start                    'loop back to start
play1:
  PLAY VoiceLedpin_,1
  GOTO start                    'loop back to start
play2:
  PLAY VoiceLedpin_,2
  GOTO start                    'loop back to start
play3:
  PLAY VoiceLedpin_,3
  GOTO start                    'loop back to start

beep:
  SOUND VoiceLedpin_,(150,10)
  GOTO start                    'loop back to start

'=================================================================
